Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.mem
Class InMemoryExecutorStoreService

    java.lang.Object
      org.jbpm.executor.impl.mem.InMemoryExecutorStoreService

All Implemented Interfaces:
  org.kie.internal.executor.api.ExecutorStoreService

    public class InMemoryExecutorStoreService

extends Object
implements org.kie.internal.executor.api.ExecutorStoreService

Constructor Summary
`InMemoryExecutorStoreService(boolean active)`

Method Summary
`Runnable` | `buildExecutorRunnable()`
`org.kie.internal.executor.api.ErrorInfo` | `findError(Long id)`
`org.kie.internal.executor.api.RequestInfo` | `findRequest(Long id)`
`org.kie.internal.executor.api.RequestInfo` | `getAndLockFirst()`
`Map<Long,org.kie.internal.executor.api.ErrorInfo>` | `getErrors()`
`Map<Long,org.kie.internal.executor.api.RequestInfo>` | `getProcessedRequests()`
`Map<Long,org.kie.internal.executor.api.RequestInfo>` | `getRequests()`
`void` | `persistError(org.kie.internal.executor.api.ErrorInfo error)`
`void` | `persistRequest(org.kie.internal.executor.api.RequestInfo request)`
`org.kie.internal.executor.api.ErrorInfo` | `removeError(Long errorId)`
`org.kie.internal.executor.api.RequestInfo` | `removeRequest(Long requestId)`
`protected void` | `setId(Object object, Long id)`
`void` | `updateError(org.kie.internal.executor.api.ErrorInfo error)`
`void` | `updateRequest(org.kie.internal.executor.api.RequestInfo request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryExecutorStoreService

    public InMemoryExecutorStoreService(boolean active)

Method Detail

### persistRequest

    public void persistRequest(org.kie.internal.executor.api.RequestInfo request)

  Specified by:
    `persistRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### updateRequest

    public void updateRequest(org.kie.internal.executor.api.RequestInfo request)

  Specified by:
    `updateRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### removeRequest

    public org.kie.internal.executor.api.RequestInfo removeRequest(Long requestId)

  Specified by:
    `removeRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### findRequest

    public org.kie.internal.executor.api.RequestInfo findRequest(Long id)

  Specified by:
    `findRequest` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### persistError

    public void persistError(org.kie.internal.executor.api.ErrorInfo error)

  Specified by:
    `persistError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### updateError

    public void updateError(org.kie.internal.executor.api.ErrorInfo error)

  Specified by:
    `updateError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### removeError

    public org.kie.internal.executor.api.ErrorInfo removeError(Long errorId)

  Specified by:
    `removeError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### findError

    public org.kie.internal.executor.api.ErrorInfo findError(Long id)

  Specified by:
    `findError` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### buildExecutorRunnable

    public Runnable buildExecutorRunnable()

  Specified by:
    `buildExecutorRunnable` in interface `org.kie.internal.executor.api.ExecutorStoreService`

### getAndLockFirst

    public org.kie.internal.executor.api.RequestInfo getAndLockFirst()

### getRequests

    public Map<Long,org.kie.internal.executor.api.RequestInfo> getRequests()

### getErrors

    public Map<Long,org.kie.internal.executor.api.ErrorInfo> getErrors()

### getProcessedRequests

    public Map<Long,org.kie.internal.executor.api.RequestInfo> getProcessedRequests()

### setId

    protected void setId(Object object,
                         Long id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.